/* -------------------------------------------------------------------------- */
/*                                   Resets                                   */
/* -------------------------------------------------------------------------- */

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

ul {
  margin: 0;
  padding: 0;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* -------------------------------------------------------------------------- */
/*                                   Global                                   */
/* -------------------------------------------------------------------------- */

:root {
  /* --------------------------------- colors --------------------------------- */
  --primary-color-yellow: #ffdf86;
  --primary-shade-01: #fff2cd;
  --primary-shade-02: #ffe8a7;
  --primary-shade-03: #ffd153;

  --secondary-color-orange: #f47907;
  --secondary-shade-01: #ff8d24;
  --secondary-shade-02: #dd6d06;
  --secondary-shade-03: #ecad00;
  --secondary-shade-04: #ffbb00;

  --teritary-color-black: #0b0800;
  --teritary-shade-01: #fbfbfb;
  --teritary-shade-02: #efefef;
  --teritary-shade-03: #8d8d8d;
  --teritary-shade-04: #3a3a3a;

  --white-color: #fff;
  --black-color: #000;

  --swiper-pagination-bullet-width: var(--rem-12);
  --swiper-pagination-bullet-height: var(--rem-12);
  --swiper-pagination-color: var(--secondary-color-orange);
  --swiper-pagination-bullet-inactive-color: rgba(141, 141, 141, 0.4);
  --swiper-pagination-bullet-inactive-opacity: 1;

  --cooltipz-bg-color: var(--primary-shade-01);
  --cooltipz-text-color: var(--teritary-color-black);
  --cooltipz-border-color: var(--primary-shade-01);
  /* ---------------------------------- sizes --------------------------------- */
  --rem-2: 0.125rem;
  --rem-4: 0.25rem;
  --rem-6: 0.375rem;
  --rem-8: 0.5rem;
  --rem-10: 0.625rem;
  --rem-12: 0.75rem;
  --rem-14: 0.875rem;
  --rem-base: 1rem;
  --rem-18: 1.125rem;
  --rem-20: 1.25rem;
  --rem-22: 1.375rem;
  --rem-24: 1.5rem;
  --rem-26: 1.625rem;
  --rem-28: 1.75rem;
  --rem-30: 1.875rem;
  --rem-32: 2rem;
  --rem-34: 2.125rem;
  --rem-36: 2.25rem;
  --rem-38: 2.375rem;
  --rem-40: 2.5rem;
  --rem-42: 2.625rem;
  --rem-44: 2.75rem;
  --rem-46: 2.875rem;
  --rem-48: 3rem;
  --rem-50: 3.125rem;
  --rem-52: 3.25rem;
  --rem-54: 3.375rem;
  --rem-56: 3.5rem;
  --rem-58: 3.625rem;
  --rem-60: 3.75rem;
  --rem-62: 3.875rem;
  --rem-64: 4rem;
  --rem-66: 4.125rem;
  --rem-68: 4.25rem;
  --rem-70: 4.375rem;
  --rem-72: 4.5rem;
  --rem-74: 4.625rem;
  --rem-76: 4.75rem;
  --rem-78: 4.875rem;
  --rem-80: 5rem;
  --rem-82: 5.125rem;
  --rem-84: 5.25rem;
  --rem-86: 5.375rem;
  --rem-88: 5.5rem;
  --rem-90: 5.625rem;
  --rem-92: 5.75rem;
  --rem-94: 5.875rem;
  --rem-96: 6rem;
  --rem-98: 6.125rem;
  --rem-100: 6.25rem;
  --rem-102: 6.375rem;
  --rem-104: 6.5rem;
  --rem-108: 6.75rem;
  --rem-110: 6.875rem;
  --rem-112: 7rem;
  --rem-114: 7.125rem;
  --rem-116: 7.25rem;
  --rem-118: 7.375rem;
  --rem-120: 7.5rem;
  --rem-122: 7.625rem;
  --rem-124: 7.75rem;
  --rem-150: 9.375rem;
}

html {
  font-size: 16px;
  line-height: 1.4;
  -webkit-tap-highlight-color: transparent;
}

body {
  font-family: "Roboto", "Raleway", sans-serif;
  overflow-x: hidden;
  min-height: 100vh;
  min-height: -webkit-fill-available;
  text-rendering: optimizeSpeed;
  position: relative;
}

a {
  text-decoration: none;
}

/* a:hover {
    text-decoration: underline;
    text-decoration-color: var(--primary-color-yellow);
} */

a:focus-visible {
  outline: 1px solid var(--primary-color-yellow);
}

button {
  cursor: pointer;
}

/* -------------------------------- utilities ------------------------------- */

/* todo : fonts starts */
/* raleway */
.f-raleway-regular {
  font-family: "Raleway", sans-serif;
  font-weight: 400;
}

.f-raleway-medium {
  font-family: "Raleway", sans-serif;
  font-weight: 500;
}

.f-raleway-semibold {
  font-family: "Raleway", sans-serif;
  font-weight: 600;
}

.f-raleway-bold {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
}

/* roboto */
.f-roboto-light {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
}

.f-roboto-regular {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
}

.f-roboto-medium {
  font-family: "Roboto", sans-serif;
  font-weight: 500;
}

.f-roboto-bold {
  font-family: "Roboto", sans-serif;
  font-weight: 700;
}

.no-break {
  white-space: nowrap;
}

/* todo : titles */
.main-title {
  font-size: var(--rem-32);
  line-height: 120%;
  text-align: center;
  color: var(--teritary-color-black);
}

.main-des {
  font-size: var(--rem-base);
  line-height: 130%;
  text-align: center;
  color: var(--teritary-shade-04);
}

.sub-title {
  font-size: var(--rem-24);
  line-height: var(--rem-28);
  color: var(--teritary-black);
  text-align: center;
}

.sub-des {
  font-size: var(--rem-base);
  line-height: 130%;
  color: var(--teritary-shade-04);
  text-align: center;
  margin-top: var(--rem-8);
  margin-bottom: var(--rem-24);
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.flex-colum {
  display: flex;
  flex-direction: column;
}

.gap-10 {
  gap: 10px;
}

.gap-8 {
  gap: 8px;
}

.hide-mobile-only {
  display: none;
}

.show-from-lg--flex {
  display: none !important;
}

.tooltip {
  display: inline-block;
  /* margin-left: var(--rem-10); */
}

.board__row.has-tooltip {
  display: inline-block;
}

.tooltip > * {
  vertical-align: middle;
}

/* todo : buttons starts */
.btn {
  outline: none;
  border: solid 1.5px transparent;
  padding: 0.5em 0.75em 0.5em 0.75em;
  font-size: var(--rem-14);
  line-height: var(--rem-22);
  text-align: center;
  transition: all 300ms ease;
  border-radius: var(--rem-6);
  font-family: "Roboto";
  font-weight: 500;
  width: 148px;
}

/* btn-primary-orange  */
.btn-primary-orange {
  background: var(--secondary-color-orange);
  color: var(--white-color);
}

.btn-primary-orange:hover {
  background: var(--secondary-shade-01);
  color: var(--white-color);
}

.btn-primary-orange:active {
  background: var(--secondary-shade-02);
  color: var(--white-color);
}

/* btn-secondary-black */
.btn-secondary-black {
  background: var(--teritary-color-black);
  color: var(--white-color);
}

.btn-secondary-black:hover {
  background: var(--teritary-shade-04);
  color: var(--white-color);
}

.btn-secondary-black:hover {
  background: var(--teritary-shade-03);
  color: var(--white-color);
}

/* btn-teritary-black */
.btn-teritary-black {
  color: var(--teritary-color-black);
  border: 2px solid var(--teritary-color-black);
  background: transparent;
  border-radius: 6px;
}

.btn-teritary-black:hover {
  background: rgba(255, 255, 255, 0.2);
  border: 2px solid var(--secondary-shade-02);
  color: var(--secondary-shade-02);
}

.btn-teritary-black:active {
  background: rgba(255, 255, 255, 0.4);
  border: 2px solid var(--secondary-shade-02);
  color: var(--secondary-shade-02);
}

/* btn-menu-black */
.menu_btn {
  width: 148px;
  font-size: var(--rem-14);
  padding: 0.5em 0.75em 0.5em 0.75em;
  border-radius: 6px;
  border: solid 1.5px transparent;
  white-space: nowrap;
  line-height: normal;
  font-family: "Roboto";
  font-weight: 500;
}

.menu_btn:hover {
  background: var(--teritary-shade-04);
  color: var(--white-color);
}

/* to do:  btn  */
.chip_btn {
  border: none;
  /*width: var(--rem-76); */
  /* height: var(--rem-24); */
  padding: var(--rem-4) var(--rem-24) var(--rem-4) var(--rem-24);
  background: var(--teritary-shade-02);
  border-radius: var(--rem-34);
  color: var(--teritary-shade-03);
  font-size: var(--rem-12);
  white-space: nowrap;
  line-height: var(--rem-14);
  outline: none;
}

.chip_btn:active,
.chip_btn.active,
.chip_btn:hover,
.chip_btn:focus {
  color: var(--teritary-shade-04);
  background: var(--primary-color-yellow);
}

/* to do btn vector */

.btn_vector {
  border: none;
  outline: none;
  background: transparent;
  color: var(--secondary-color-orange);
  display: flex;
  align-items: center;
  gap: var(--rem-4);
  font-size: var(--rem-14);
  line-height: normal;
  font-family: "Roboto";
  font-weight: 500;
  transition: all 300ms ease;
}
.btn_vector:hover,
.btn_vector:focus {
  color: var(--secondary-shade-03);
}

.btn_vector:is(:hover, :focus) .vectore {
  stroke: var(--secondary-shade-03);
}

/* todo : icons starts */
.icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* todo : container */
.container {
  padding-left: var(--rem-base);
  padding-right: var(--rem-base);
}

/* todo : colors */
.color-secondary-orange {
  color: var(--secondary-color-orange) !important;
}

.color-secondary-03 {
  color: var(--secondary-shade-03) !important;
}

.color-teritary-03 {
  color: var(--teritary-shade-03) !important;
}
.color-teritary-04 {
  color: var(--teritary-shade-04) !important;
}

/* todo : accoirdian */

.accordian-head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}

.accordian-arrow-icon {
  transition: all 300ms ease-out;
}

.accordian.active .accordian-arrow-icon {
  transform: rotate(90deg);
}

.accordian.active .accordian-arrow-right-icon {
  transform: rotate(90deg);
}

.accordian.active .accordian-arrow-down-icon {
  transform: rotate(180deg);
}

.accordian-content {
  height: 0;
  bottom: 0;
  overflow-y: hidden;
  transition: all 300ms ease-in-out;
}

.accordian.active .accordian-content {
  height: var(--acc-calc-height, auto);
  bottom: 0;
}

/* todo : breadcrum */
.breadCrum {
  display: flex;
  align-items: center;
  gap: var(--rem-12);
  margin-bottom: var(--rem-34);
}

.breadCrumItem {
  font-size: var(--rem-12);
  line-height: var(--rem-22);
  color: var(--teritary-shade-04);
}

/* todo : social icons */
.socialIcons {
  display: flex;

  gap: var(--rem-base);
}

.header__followForm {
  text-align: center;
}

.socialIcon {
  height: var(--rem-32);
  width: var(--rem-32);
  background: var(--white-color);
  border-radius: 50%;
  cursor: pointer;
}

.socialIcon svg {
  height: var(--rem-base);
  width: var(--rem-base);
}

.socialIcon svg path {
  fill: var(--secondary-color-orange);
}

.twitter:hover svg path {
  fill: #1da1f2 !important;
}

.linkedIn:hover svg path {
  fill: #0a66c2 !important;
}

.youtube:hover svg path {
  fill: #ff0000 !important;
}

/* todo:swiperjs */
.swiper {
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}
.swiper-slide,
.swiper-button-prev,
.swiper-button-next {
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

.swiper-pagination {
  --swiper-pagination-bullet-inactive-color: rgba(141, 141, 141, 0.4);
  --swiper-pagination-color: var(--secondary-color-orange);
}

.swiper-paginatio .swiper-pagination-bullet {
  border: 1px solid rgba(141, 141, 141, 0.4);
}

.swiper-pagination .swiper-pagination-bullet-active {
  border: 1px solid var(--secondary-color-orange);
}
.swiper-button-next::after,
.swiper-button-prev::after {
  display: none;
}
/* --------------------------------- header --------------------------------- */
.header {
  position: fixed;
  background: transparent;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 999;
  transition: 300ms ease-in;
  box-shadow: 0px 4px 12px transparent;
}

.header.active {
  background-color: var(--white-color);
  box-shadow: 0px 4px 12px rgba(141, 141, 141, 0.25);
}

.header__container {
  transition: 300ms ease;
}

.header__nav {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
}

.header__navBrand {
  z-index: 100;
}

.header__navBrandWrap {
  max-width: 180px;
  transition: 300ms ease;
  padding-top: var(--rem-base);
  padding-bottom: var(--rem-base);
}
.header_navLogin {
  display: flex;
  align-items: center;
  color: var(--teritary-shade-04);
  font-size: 1rem;
  font-weight: 500;
  line-height: normal;
  margin-left: auto;
  margin-right: var(--rem-18);
}
.header_navLogin span {
  white-space: nowrap;
}
.header_navLogin:hover {
  color: var(--secondary-color-orange);
}
.header_navLogin:hover .login_svg {
  stroke: var(--secondary-color-orange);
}
.header_navLogin_wrap {
  display: flex;
  align-items: center;
}

/* burger */
.header__burger {
  display: inline-flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  gap: 0.3rem;
  z-index: 100;
  padding-top: var(--rem-base);
  padding-bottom: var(--rem-base);
}

.header__nav.active .header__burger {
  transform: translateX(-10px);
}

.header__burgerSlice {
  width: var(--rem-22);
  height: 2px;
  background: var(--black-color);
  border-radius: 10px;
  transition: all 300ms ease;
}

.header.active .header__burgerSlice,
.header__nav.active .header__burgerSlice {
  background: var(--black-color);
}

.header__burgerSlice:nth-of-type(2) {
  width: var(--rem-18);
}

.header__nav.active .header__burgerSlice:nth-of-type(1) {
  transform: rotate(45deg) translate(50%, 0%);
}

.header__nav.active .header__burgerSlice:nth-of-type(2) {
  transform: scale(0);
}

.header__nav.active .header__burgerSlice:nth-of-type(3) {
  transform: rotate(-45deg) translate(48%, -6%);
}

.header__navItems {
  position: absolute;
  background: var(--white-color);
  inset: 0;
  padding: 10rem var(--rem-32) var(--rem-base) var(--rem-32);
  z-index: 99;

  height: 100vh;

  display: flex;
  flex-direction: column;
  align-items: left;
  gap: var(--rem-60);

  transform: translateX(100%);
  transition: all 300ms ease;
  overflow-y: auto;
}

.header__nav.active .header__navItems {
  transform: translateX(0%);
}

.header__navLink {
  text-decoration: none;
  color: var(--teritary-shade-04);
  font-size: 1rem;
  line-height: var(--rem-22);
  text-align: center;
  font-weight: 500;
}

.header__navLink:hover {
  color: var(--secondary-color-orange);
}
.header__subNavLink {
  color: var(--teritary-shade-03);
}
.header__subNavLink:hover,
.header__subNavLink.active {
  color: var(--teritary-color-black);
}

.header__navLink.active {
  color: var(--secondary-color-orange);
}

/* products nav starts */

.prodNav {
  display: flex;
  justify-content: space-between;
}
.prodVec {
  transform: rotate(90deg);
  transition: all 250ms ease;
  align-self: center;
}
.menuProdVec.navActive {
  color: var(--secondary-color-orange);
}
.menuProdVec.navActive {
  transform: rotate(270deg);
}
.menuProdVec.navActive path {
  stroke: var(--secondary-color-orange);
}

.submenu {
  padding-top: 1rem;
  display: none;
  opacity: 0;
  height: 0;
  transition: all 250ms ease-out;
  cursor: pointer;
}
.submenu.navActive {
  display: block;
  opacity: 1;
  height: 100%;
}

.header__subNavItem {
  padding-left: var(--rem-8);
}
.header__subNavLink {
  font-size: var(--rem-14);
  line-height: 130%;
}
.header__subNavItem:is(:not(:last-child)) {
  padding-bottom: 1rem;
}
.innerSubmenu {
  padding-top: var(--rem-22);
  padding-bottom: var(--rem-22);
  padding-left: var(--rem-8);
  display: none;
  cursor: pointer;
}

.innerSubmenu.innersubActive {
  display: block;
}
.header__subNavLink_wrapper.innersubActive a {
  color: var(--teritary-color-black);
}
.submenuVec {
  align-self: center;
  transition: all 250ms ease;
}
.submenuVec.innersubActive {
  transform: rotate(270deg);
}
.header__innerSubmenuItem:is(:not(:last-child)) {
  padding-bottom: 1rem;
}
.innerSubmenu_nav_link {
  display: flex;
  gap: var(--rem-10);
}

.nav_comingSppn {
  font-size: var(--rem-10);
  line-height: var(--rem-12);
  color: var(--secondary-shade-02);
  background-color: var(--primary-shade-01);
  padding: 4px 6px;
  align-self: center;
  border-radius: 10px;
}
/* products nav end */

.header__followContainer {
  position: absolute;
  background: var(--teritary-shade-02);
  width: 100vw;
  left: 0;
  right: 0;

  padding: 40px 32px;
}

.header__followSubLabel {
  font-weight: 400;
  font-size: var(--rem-14);
  line-height: var(--rem-18);
  color: var(--teritary-color-black);
}

.header__followSubInputWrap {
  display: flex;
  align-items: stretch;
  margin-top: var(--rem-8);
  gap: 0;

  position: relative;
}

.header__followSubInput {
  background: var(--white-color);
  border-radius: var(--rem-8) 0px 0px var(--rem-8);
  padding: var(--rem-12) calc(var(--rem-14) + 90px) var(--rem-12) var(--rem-14);

  border-radius: 8px;

  font-size: var(--rem-14);
  line-height: var(--rem-20);
  color: var(--black-color);

  outline: none;
  border: none;
  flex: 1;
}

.header__followSubInput::placeholder {
  color: rgba(0, 0, 0, 0.5);
}

.header__followSubBtn {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;

  border: none;
  outline: none;
  font-size: var(--rem-14);
  line-height: var(--rem-18);
  color: var(--white-color);
  background: var(--secondary-color-orange);
  border-radius: 0px var(--rem-8) var(--rem-8) 0px;
  padding: var(--rem-12) var(--rem-14);

  transition: all 300ms ease;
}

.header__followSubBtn:hover {
  background: var(--secondary-shade-02);
}

.header__socialIcons {
  margin-top: var(--rem-32);
  align-items: center;
  justify-content: center;
}

.header__socialIcons .socialIcon {
  background: #fff;
}

.color_orange {
  color: var(--secondary-color-orange);
}

/* --------------------------------- footer --------------------------------- */

.footer {
  background: var(--teritary-color-black);
}

.footer__container {
  padding-top: var(--rem-36);
  padding-bottom: var(--rem-40);
}

.footer__row {
  display: flex;
  flex-direction: column;
}

/* footer__info */
.footer__info {
  display: flex;
  flex-direction: column;
  gap: var(--rem-8);
}

.footer__logoWrap {
  margin-bottom: var(--rem-14);
}

.footer__link-withIcon {
  display: flex;
  align-items: flex-start;
  gap: var(--rem-8);
  width: 50%;
  margin-top: var(--rem-4);
}

.footer__icon {
  width: var(--rem-30);
  flex-shrink: 0;
}

.footer__linkText {
  font-size: var(--rem-12);
  line-height: 140%;
  color: rgb(255 255 255 / 60%);
}

.sensops_inc_txt {
  color: var(--teritary-shade-02);
}

/* footer__quickLinks */
.footer__quickLinks {
  margin-top: var(--rem-38);
  padding-bottom: var(--rem-12);
  border-bottom: 0.5px solid var(--teritary-shade-04);
}

.footer__quickLinksTitle {
  font-size: var(--rem-20);
  line-height: 140%;
  color: var(--white-color);
}

.footer__quickLinksList {
  margin-top: var(--rem-base);
  display: flex;
  flex-direction: column;
  gap: var(--rem-12);
  color: rgb(255 255 255 / 80%);
}

.footer__quickLinksListItem {
  padding: 1px var(--rem-2);
}

.footer__quickLink {
  font-size: var(--rem-12);
  line-height: 18px;
  color: rgba(255, 255, 255, 0.8);
  text-decoration: none;
}
.footer__quickLink:hover,
.footer__quickLink:focus {
  color: var(--white-color);
}

/* follow */
.footer__follow {
  margin-top: var(--rem-32);
}

.footer__followSubLabel {
  display: block;
  font-size: var(--rem-14);
  line-height: 140%;
  color: var(--white-color);
}

.footer__followSubInputWrap {
  display: flex;
  align-items: stretch;
  margin-top: var(--rem-8);
  gap: 0;
  width: 100%;
  position: relative;
}

.footer__followSubInput {
  background: var(--white-color);
  border-radius: var(--rem-6) 0px 0px var(--rem-6);
  padding: var(--rem-12) calc(var(--rem-14) + 90px) var(--rem-12) var(--rem-14);

  border-radius: 6px;

  font-size: var(--rem-14);
  line-height: var(--rem-20);
  color: var(--black-color);

  outline: none;
  border: none;
  flex: 1;
}

.footer__followSubInput::placeholder {
  color: rgba(0, 0, 0, 0.5);
}

.footer__followSubBtn {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  width: 120px;
  border: none;
  outline: none;
  font-size: var(--rem-14);
  line-height: var(--rem-18);
  color: var(--white-color);
  background: var(--secondary-color-orange);
  border-radius: 0px var(--rem-6) var(--rem-6) 0px;
  padding: var(--rem-12) var(--rem-14);
  transition: all 300ms ease;
  font-family: "Roboto";
  font-weight: 500;
}

.footer__followSubBtn:hover {
  background: var(--secondary-shade-01);
}
/* .footer__followSubBtn:active {
  background: var(--secondary-color-orange);
} */
.footer__socialIcons {
  margin-top: var(--rem-32);
}

.footer__socialLinks {
  display: flex;
  align-items: baseline;
  gap: var(--rem-base);
  margin-top: var(--rem-24);
}

.footer__socialIcon:hover svg path {
  fill: var(--primary-color-yellow);
}

.footerForm_mess {
  margin-top: var(--rem-20);
}

/* -------------------------------- copywrite ------------------------------- */
.copywrite {
  background: rgba(0, 0, 0, 0.8);
}

.copywrite__container {
  padding-top: var(--rem-14);
  padding-bottom: var(--rem-14);
  /* height: 40px; */
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: var(--rem-12);
}

.copywrite__text,
.privacy_footer_link,
.termAndCond_footer_link {
  font-size: var(--rem-12) !important;
  line-height: var(--rem-16);
  /* text-align: center; */
  color: var(--teritary-shade-03);
}
.privacyAndTerm_content_wrap {
  display: flex;
  gap: var(--rem-8);
}

/* -------------------------------------------------------------------------- */
/*                                media queries                               */
/* -------------------------------------------------------------------------- */

/* ? ----------------------------------- sm ----------------------------------- */
/* ? -------------------------------------------------------------------------- */
/* ?                              media query 640px                             */
/* ? -------------------------------------------------------------------------- */
@media (min-width: 40em) {
  /* -------------------------------- utilities ------------------------------- */
  .hide-mobile-only {
    display: block;
  }

  .hide-sm-only {
    display: none;
  }

  .hide-sm {
    display: none;
  }

  /* todo : container */
  .container {
    padding-left: var(--rem-32);
    padding-right: var(--rem-32);
  }

  /*--------------------------------- Header -----------------------------------*/
  .header__navBrandWrap {
    max-width: 248px;
  }
}

/* ? ----------------------------------- md ----------------------------------- */
/* ? -------------------------------------------------------------------------- */
/* ?                              media query 768px                             */
/* ? -------------------------------------------------------------------------- */
@media (min-width: 48em) {
  .hide-md {
    display: none;
  }

  /* swiper start */

  .navigation_wrap {
    position: absolute;
    display: flex;
    gap: var(--rem-100);
    justify-content: center;
    align-items: center;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
  }
  .navigation_wrap .swiper-pagination {
    position: static !important;
  }
  .navigation_wrap .swiper-pagination-bullets.swiper-pagination-horizontal {
    width: auto !important;
  }

  .navigation_wrap .swiper-button-next,
  .navigation_wrap .swiper-button-prev {
    position: static !important;
    margin-top: 0 !important;
  }
  .navigation_wrap .swiper-button-prev {
    transform: rotate(180deg);
  }
  /* swiper end */

  /* -------------------------------- copywrite ------------------------------- */

  .copywrite__container {
    flex-direction: row;
    justify-content: center;
  }
  .privacyAndTerm_content_wrap {
    border-left: 1px solid var(--teritary-shade-03);
    padding-left: var(--rem-12);
  }
}

/* ? ----------------------------------- lg ----------------------------------- */
/* ? -------------------------------------------------------------------------- */
/* ?                             media query 1024px                             */
/* ? -------------------------------------------------------------------------- */
@media (min-width: 64em) {
  .breadCrumItem {
    font-size: var(--rem-base);
    line-height: var(--rem-22);
  }

  .show-from-lg--flex {
    display: flex !important;
  }

  .hide-lg {
    display: none;
  }

  .hide-sm-only {
    display: block;
  }

  /* todo : titles */
  .main-title {
    font-size: var(--rem-50);
    line-height: 59px;
  }

  .main-des {
    font-size: var(--rem-18);
    line-height: 130%;
  }

  .sub-title {
    font-size: var(--rem-40);
    line-height: var(--rem-48);
    /* padding-bottom: var(--rem-24);*/
  }

  .sub-des {
    font-size: var(--rem-18);
    line-height: 130%;
  }

  /* todo : buttons starts */
  .btn {
    font-size: var(--rem-base);
    line-height: normal;
  }
  .menu_btn {
    font-size: var(--rem-base);
  }

  .btn_vector {
    font-size: var(--rem-base);
    line-height: normal;
  }
  .footer__followSubBtn {
    font-size: var(--rem-base);
    line-height: normal;
  }
  /* todo : container */
  .container {
    padding-left: var(--rem-60);
    padding-right: var(--rem-60);
  }

  /* --------------------------------- header --------------------------------- */

  /* .header__container {
    padding-top: var(--rem-14);
    padding-bottom: var(--rem-14);
  }

  .header.active .header__container {
    padding-top: var(--rem-5);
    padding-bottom: var(--rem-5);
  } */

  .header__navBrandWrap {
    max-width: 200px;
  }

  .header__nav {
    align-items: center;
  }

  .header__navItems {
    transform: translateX(0);
    position: relative;
    flex-direction: row;
    align-items: center;
    background: transparent;
    height: 100%;
    padding: 0;
    gap: var(--rem-40);
  }

  .header__navItem:nth-child(3) {
    margin-right: 9.5rem;
  }

  /* login link  */

  .header_navLogin {
    position: absolute;
    top: 50%;
    left: -webkit-calc(100% - 240px);
    left: -moz-calc(100% - 240px);
    left: calc(100% - 240px);
    transform: translate(-110%, -50%);
    z-index: 100;
  }

  /* products nav starts */
  .header__navItems {
    overflow-y: initial;
  }
  .header__navItem {
    position: relative;
  }
  .prodNav {
    gap: var(--rem-10);
  }
  .parentMenu.navActive {
    color: var(--secondary-color-orange);
  }
  .parentMenu.navActive svg {
    transform: rotate(270deg);
  }
  .parentMenu.navActive svg path {
    stroke: var(--secondary-color-orange);
  }
  .submenu {
    position: absolute;
    top: 114%;
    opacity: 1;
    display: none;
    width: 231px;
  }
  .submenuVec {
    display: none;
  }
  .overDisabled {
    cursor: not-allowed;
    opacity: 0.5;
  }
  .overDisabled:hover {
    color: var(--teritary-shade-03);
  }
  .submenu.navActive {
    display: block;
  }
  .header_subNavItems {
    padding-top: var(--rem-12);
    padding-bottom: var(--rem-12);

    box-shadow: -10px 11px 24px rgba(0, 0, 0, 0.12);
    border-radius: 8px;
    background-color: var(--white-color);
    box-shadow: -10px 11px 24px rgba(0, 0, 0, 0.12);
  }
  .header__subNavItem {
    padding: var(--rem-18) var(--rem-24);
    border-bottom: 1px solid #efefef;
  }
  .header__subNavItem:is(:last-child) {
    border-bottom: 0;
  }
  .header__subNavLink,
  .header__subNavLink {
    font-size: var(--rem-base);
    line-height: var(--rem-20);
  }

  .innerSubmenu {
    display: none;
    position: absolute;
    left: calc(231px - 10px);
    transform: translateY(-50px);
    width: 231px;
    padding-top: var(--rem-12);
    padding-bottom: var(--rem-12);
    padding-left: 0;
    background-color: var(--white-color);
    box-shadow: -10px 11px 24px rgba(0, 0, 0, 0.12);
    border-radius: 8px;
    white-space: nowrap;
  }
  .innerSubMenuCustum {
    padding-top: 0;
    transform: translateY(-31%);
  }
  .innerSubmenu.innersubActive {
    display: block;
  }
  .submenuVec {
    transform: rotate(360deg);
  }
  .header__innerSubmenuItem {
    padding: var(--rem-18) var(--rem-24);
  }
  .header__innerSubmenuItem:is(:not(:last-child)) {
    border-bottom: 1px solid #efefef;
  }

  /* products nav end */
  /* --------------------------------- footer --------------------------------- */
  .footer__container {
    padding-top: var(--rem-80);
    padding-bottom: var(--rem-80);
  }

  .footer__row {
    flex-direction: row;
    gap: var(--rem-24);
    justify-content: space-between;
  }

  .footer__link-withIcon {
    width: 280px;
  }

  .footer__quickLinksArrowIcon {
    display: none;
  }

  .footer__quickLinksList {
    height: auto;
    gap: 8px;
  }

  .footer__quickLinksHead {
    cursor: default;
  }

  .footer__quickLinks {
    border-bottom: none;
    padding-bottom: 0;
    margin-top: 0;
  }

  .footer__follow {
    flex: 0.5;
    margin-top: 0;
  }

  .copywrite__text {
    font-size: var(--rem-12);
  }

  .footer__linkText {
    font-size: var(--rem-14);
  }

  .footer__quickLinksTitle {
    font-size: var(--rem-14);
  }

  .footer__quickLink {
    font-size: 14px;
  }
}

/* ? ----------------------------------- xl ----------------------------------- */
/* ? -------------------------------------------------------------------------- */
/* ?                             media query 1280px                             */
/* ? -------------------------------------------------------------------------- */
@media (min-width: 80em) {
  .hide-xl {
    display: none;
  }

  .footer__quickLinksTitle {
    font-size: var(--rem-14);
  }

  /* --------------------------------- header --------------------------------- */
  .header__navBrandWrap {
    max-width: 248px;
  }

  /* --------------------------------- footer -------------------------------- */
  .footer__linkText {
    font-size: var(--rem-14);
  }

  .footer__link-withIcon {
    width: 280px;
  }

  .footer__quickLink {
    font-size: 14px;
  }

  .footer__followSubInputWrap {
    width: 400px;
    margin-top: var(--rem-12);
  }

  .footer__quickLinksTitle {
    font-size: var(--rem-14);
  }
}

/* ? ---------------------------------- xxl ----------------------------------- */
/* ? -------------------------------------------------------------------------- */
/* ?                             media query 1536px                             */
/* ? -------------------------------------------------------------------------- */
@media (min-width: 96em) {
  .hide-xxl {
    display: none;
  }

  .container {
    /*max-width: 100em;*/
    margin: 0 auto;
  }

  /* --------------------------------- header --------------------------------- */

  /* .header_navLogin{
    left: 85%;
    transform: translate(-85%,-50%);
  } */

  /* --------------------------------- footer -------------------------------- */
  .footer__linkText {
    font-size: var(--rem-14);
  }

  .footer__link-withIcon {
    width: 280px;
  }

  .footer__quickLink {
    font-size: 14px;
  }

  .footer__quickLinksTitle {
    font-size: var(--rem-14);
  }
}
